API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/spot-quotes/bids/{bidId}/reject
ark.reject_spot_quote_bid
Rejects a visible pending spot quote bid and optionally stores the rejection message.
- Availability
- Expanded preview
- Scopes
loads:write- ARK permissions
canEditLoad- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
bidIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations.
- min length: 1; max length: 255
Request body
messagestringmax length: 5000
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/spot-quotes/bids/<bidId>/reject' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{}'Success response
Spot quote bid action result
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.spotQuoteIdstringrequiredformat: uuid
data.bidIdstringrequiredformat: uuid
data.bidobjectrequireddata.resultobjectdata.notificationCountintegerrequireddata.sideEffectErrorstring | nullrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry